import type { spec } from '@galacean/effects';
import type { BaseTransform as Transform } from '../index';
import { Vector3, Matrix4, Quaternion, Euler } from '../runtime/math';
export declare class LoaderHelper {
    static getTransformFromMat4(mat: Matrix4): Transform;
    static getEffectsTransformFromMat4(mat: Matrix4): Transform;
    static getTransformFromTranslation(t: Vector3): Transform;
    static getTransformFromDirection(d: Vector3): Transform;
    static getEffectsTransformFromDirection(d: Vector3): Transform;
    static getTransformFromTransDir(t: Vector3, d: Vector3): Transform;
    static getEffectsTransformFromTransDir(t: Vector3, d: Vector3): Transform;
    static getEulerFromQuat(q: Quaternion): [number, number, number];
    static getQuatFromEuler(e: Euler): [number, number, number, number];
    static toPlayerColor3(color: spec.vec3): spec.vec3;
    static toPlayerColor4(color: spec.vec4): spec.vec4;
    static scaleTo255(val: number): number;
    static scaleTo1(val: number): number;
}
